Package com.io7m.cedarbridge.codegen.java.internal.protocols

# Class CBCGProtocolVersionedSerializerFactoryClassGenerator

java.lang.Object
com.io7m.cedarbridge.codegen.java.internal.protocols.CBCGProtocolVersionedSerializerFactoryClassGenerator

All Implemented Interfaces:
  `CBCGJavaClassGeneratorType<CBProtocolVersionDeclarationType>`

public final class CBCGProtocolVersionedSerializerFactoryClassGenerator extends Object implements CBCGJavaClassGeneratorType<CBProtocolVersionDeclarationType>
A generator of Java serializer factory classes for protocol version declarations.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBCGProtocolVersionedSerializerFactoryClassGenerator()`
  A generator of Java serializer factory classes for protocol version declarations.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Path`
  `execute(CBSPICodeGeneratorConfiguration configuration, String packageName, CBProtocolVersionDeclarationType proto)`
  Generate code for the given type.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CBCGProtocolVersionedSerializerFactoryClassGenerator

    public CBCGProtocolVersionedSerializerFactoryClassGenerator()
    A generator of Java serializer factory classes for protocol version declarations.

- ## Method Details

  - ### execute

    public Path execute(CBSPICodeGeneratorConfiguration configuration, String packageName, CBProtocolVersionDeclarationType proto) throws CBSPICodeGeneratorException
    Description copied from interface: `CBCGJavaClassGeneratorType`
    Generate code for the given type.
    Specified by:
      `execute` in interface `CBCGJavaClassGeneratorType<CBProtocolVersionDeclarationType>`
    Parameters:
      `configuration` - The generator configuration
      `packageName` - The package name
      `proto` - The type name
    Returns:
      The path to the generated class
    Throws:
      `CBSPICodeGeneratorException` - On errors